<?php	
	$follow = $db->get('follow')->result_array();
	
	foreach ($follow AS $key => $item)
	{
		fetch_follow($item['blogurl'], $item['id']);
		
		$bloginfo = @json_decode(file_get_contents($item['blogurl'] . 'httprequest.php?act=bloginfo'), TRUE);
		
		if ($item['title'] != $bloginfo['site_name'] AND $bloginfo['site_name'] != '')
		{
			$db->update('follow', array(
				'title' => Format::Safe($bloginfo['site_name'], TRUE)
			), array('id' => $item['id']));
		}
	}